Asana: Custom fields schemas
13 Asana schemas with complete fields and constraints.
← Custom fields operations · All schemas
Create an enum option — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Create an enum option — response body — data data — Enum Option |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).insert_before | string | Optional | An existing enum option within this custom field before which the new enum option should be inserted. Cannot be provided together with after_enum_option. |
$ (allOf 2).insert_after | string | Optional | An existing enum option within this custom field after which the new enum option should be inserted. Cannot be provided together with before_enum_option. |
Referenced models: Create an enum option — response body — data data — Enum Option
Create an enum option — response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | Model | Required within parent | Expand Create an enum option — response body — data data — sdk__Enum Option |
Referenced models: Create an enum option — response body — data data — sdk__Enum Option
Create an enum option — response body — data data — Enum Option
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the enum option. |
enabled | boolean | Optional | Whether or not the enum option is a selectable value for the custom field. |
color | string | Optional | The color of the enum option. Defaults to `none`. |
Create an enum option — response body — data data — sdk__Enum Option
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the enum option. |
enabled | boolean | Optional | Whether or not the enum option is a selectable value for the custom field. |
color | string | Optional | The color of the enum option. Defaults to `none`. |
Get a custom field — response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | Model | Required within parent | Expand Get a custom field — response body — data data — sdk__Custom Field Response |
Referenced models: Get a custom field — response body — data data — sdk__Custom Field Response
Get a custom field — response body — data / data / format: currency, identifier, percentage, custom, duration, none, type: text, enum, multi enum, number, date, people, reference
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Get a membership — response body — data / data / access_level: admin, editor, user parent |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).description | string | Optional | [Opt In](/docs/inputoutput-options). The description of the custom field. |
$ (allOf 2).enum_options | array | Optional | *Conditional*. Only relevant for custom fields of type `enum` or `multi_enum`. This array specifies the possible values which an `enum` custom field can adopt. To modify the enum options, refer to [working with enum options](/reference/createenumoptionforcustomfield). |
$ (allOf 2).enum_options[] | Model | Each item | Expand Create an enum option — response body — data data — Enum Option |
$ (allOf 2).precision | JSON | Optional | |
$ (allOf 2).precision (anyOf 1) | integer | Alternative | Only relevant for custom fields of type `Number`. This field dictates the number of places after the decimal to round to, i.e. 0 is integer values, 1 rounds to the nearest tenth, and so on. Must be between 0 and 6, inclusive. For percentage format, this may be unintuitive, as a value of 0.25 has a precision of 0, while a value of 0.251 has a precision of 1. This is due to 0.25 being displayed as 25%. The identifier format will always have a precision of 0. |
$ (allOf 2).precision (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
$ (allOf 2).format | string | Optional | The format of this custom field. Known values: currency, identifier, percentage, custom, duration, none |
$ (allOf 2).currency_code | JSON | Optional | |
$ (allOf 2).currency_code (anyOf 1) | string | Alternative | ISO 4217 currency code to format this custom field. This will be null if the `format` is not `currency`. |
$ (allOf 2).currency_code (anyOf 2) | null | Alternative | |
$ (allOf 2).custom_label | JSON | Optional | |
$ (allOf 2).custom_label (anyOf 1) | string | Alternative | This is the string that appears next to the custom field value. This will be null if the `format` is not `custom`. |
$ (allOf 2).custom_label (anyOf 2) | null | Alternative | |
$ (allOf 2).custom_label_position | JSON | Optional | |
$ (allOf 2).custom_label_position (anyOf 1) | string | Alternative | Only relevant for custom fields with `custom` format. This depicts where to place the custom label. This will be null if the `format` is not `custom`. Known values: prefix, suffix |
$ (allOf 2).custom_label_position (anyOf 2) | null | Alternative | |
$ (allOf 2).is_global_to_workspace | boolean | Optional | This flag describes whether this custom field is available to every container in the workspace. Before project-specific custom fields, this field was always true. Read only: true |
$ (allOf 2).has_notifications_enabled | boolean | Optional | *Conditional*. This flag describes whether a follower of a task with this field should receive inbox notifications from changes to this field. |
$ (allOf 2).asana_created_field | JSON | Optional | |
$ (allOf 2).asana_created_field (anyOf 1) | string | Alternative | *Conditional*. A unique identifier to associate this field with the template source of truth. Known values: a_v_requirements, account_name, actionable, align_shipping_link, align_status, allotted_time, appointment, approval_stage, approved, article_series, board_committee, browser, campaign_audience, campaign_project_status, campaign_regions, channel_primary, client_topic_type, complete_by, contact, contact_email_address, content_channels, content_channels_needed, content_stage, content_type, contract, contract_status, cost, creation_stage, creative_channel, creative_needed, creative_needs, data_sensitivity, deal_size, delivery_appt, delivery_appt_date, department, department_responsible, design_request_needed, design_request_type, discussion_category, do_this_task, editorial_content_status, editorial_content_tag, editorial_content_type, effort, effort_level, est_completion_date, estimated_time, estimated_value, expected_cost, external_steps_needed, favorite_idea, feedback_type, financial, funding_amount, grant_application_process, hiring_candidate_status, idea_status, ids_link, ids_patient_link, implementation_stage, insurance, interview_area, interview_question_score, itero_scan_link, job_s_applied_to, lab, launch_status, lead_status, localization_language, localization_market_team, localization_status, meeting_minutes, meeting_needed, minutes, mrr, must_localize, name_of_foundation, need_to_follow_up, next_appointment, next_steps_sales, num_people, number_of_user_reports, office_location, onboarding_activity, owner, participants_needed, patient_date_of_birth, patient_email, patient_phone, patient_status, phone_number, planning_category, point_of_contact, position, post_format, prescription, priority, priority_level, product, product_stage, progress, project_size, project_status, proposed_budget, publish_status, reason_for_scan, referral, request_type, research_status, responsible_department, responsible_team, risk_assessment_status, room_name, sales_counterpart, sentiment, shipping_link, social_channels, stage, status, status_design, status_of_initiative, system_setup, task_progress, team, team_marketing, team_responsible, time_it_takes_to_complete_tasks, timeframe, treatment_type, type_work_requests_it, use_agency, user_name, vendor_category, vendor_type, word_count Read only: true |
$ (allOf 2).asana_created_field (anyOf 2) | null | Alternative |
Referenced models: Create an enum option — response body — data data — Enum Option, Get a membership — response body — data / data / access_level: admin, editor, user parent
Get a custom field — response body — data data date value date, date time
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | *Conditional*. Only relevant for custom fields of type `date`. This object reflects the chosen date (and optionally, time) value of a `date` custom field. If no date is selected, the value of `date_value` will be `null`. |
date | string | Optional | A string representing the date in YYYY-MM-DD format. |
date_time | string | Optional | A string representing the date in ISO 8601 format. If no time value is selected, the value of `date-time` will be `null`. |
Get a custom field — response body — data data enum options item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the enum option. |
enabled | boolean | Optional | Whether or not the enum option is a selectable value for the custom field. |
color | string | Optional | The color of the enum option. Defaults to `none`. |
Get a custom field — response body — data data enum value color, enabled, gid, name, resource type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint.A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint. *Conditional*. Only relevant for custom fields of type `enum`. This object is the chosen value of an `enum` custom field. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the enum option. |
enabled | boolean | Optional | Whether or not the enum option is a selectable value for the custom field. |
color | string | Optional | The color of the enum option. Defaults to `none`. |
Get a custom field — response body — data data — Custom Field Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Get a custom field — response body — data / data / format: currency, identifier, percentage, custom, duration, none, type: text, enum, multi enum, number, date, people, reference |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).representation_type | string | Optional | This field tells the type of the custom field. Known values: text, enum, multi_enum, number, date, people, formula, custom_id, reference Read only: true |
$ (allOf 2).id_prefix | JSON | Optional | |
$ (allOf 2).id_prefix (anyOf 1) | string | Alternative | This field is the unique custom ID string for the custom field. |
$ (allOf 2).id_prefix (anyOf 2) | null | Alternative | |
$ (allOf 2).input_restrictions | array | Optional | |
$ (allOf 2).input_restrictions[] | string | Each item | *Conditional*. Only relevant for custom fields of type `reference`. This array of strings reflects the allowed types of objects that can be written to a `reference` custom field value. Known values: task, project, portfolio, goal |
$ (allOf 2).is_formula_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a formula custom field. |
$ (allOf 2).is_lookup_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a lookup custom field. |
$ (allOf 2).is_value_read_only | boolean | Optional | *Conditional*. This flag describes whether a custom field is read only. |
$ (allOf 2).created_by | JSON | Optional | |
$ (allOf 2).created_by (anyOf 1) | JSON | Alternative | |
$ (allOf 2).created_by (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get users in a team — response body — data data item |
$ (allOf 2).created_by (anyOf 1) (allOf 2) | JSON | All variants apply | |
$ (allOf 2).created_by (anyOf 2) | null | Alternative | |
$ (allOf 2).people_value | array | Optional | *Conditional*. Only relevant for custom fields of type `people`. This array of [compact user](/reference/users) objects reflects the values of a `people` custom field. |
$ (allOf 2).people_value[] | Model | Each item | Expand Get users in a team — response body — data data item |
$ (allOf 2).reference_value | array | Optional | *Conditional*. Only relevant for custom fields of type `reference`. This array of objects reflects the values of a `reference` custom field. |
$ (allOf 2).reference_value[] | Model | Each item | Expand Get objects via typeahead — response body — data data item |
$ (allOf 2).html_text_value | JSON | Optional | |
$ (allOf 2).html_text_value (anyOf 1) | string | Alternative | *Conditional*. Only relevant for custom fields of type `text`. This is the HTML representation of the text value of a custom field, corresponding to the `text_value` plain-text field. See [rich text](/docs/rich-text#reading-rich-text). Read only: true |
$ (allOf 2).html_text_value (anyOf 2) | null | Alternative | |
$ (allOf 2).privacy_setting | string | Optional | The privacy setting of the custom field. *Note: Administrators in your organization may restrict the values of `privacy_setting`.* Known values: public_with_guests, public, private |
$ (allOf 2).default_access_level | string | Optional | The default access level when inviting new members to the custom field. This isn't applied when the `privacy_setting` is `private`, or the user is a guest. For local fields in a project or portfolio, the user must additionally have permission to modify the container itself. Known values: admin, editor, user |
$ (allOf 2).resource_subtype | string | Optional | The type of the custom field. Must be one of the given values. Known values: text, enum, multi_enum, number, date, people, reference Read only: true |
Referenced models: Get objects via typeahead — response body — data data item, Get a custom field — response body — data / data / format: currency, identifier, percentage, custom, duration, none, type: text, enum, multi enum, number, date, people, reference, Get users in a team — response body — data data item
Get a custom field — response body — data data — sdk__Custom Field Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Custom Fields store the metadata that is used in order to add user-specified information to tasks in Asana. Be sure to reference the [custom fields](/reference/custom-fields) developer documentation for more information about how custom fields relate to various resources in Asana. Users in Asana can [lock custom fields](https://asana.com/guide/help/premium/custom-fields#gl-lock-fields), which will make them read-only when accessed by other users. Attempting to edit a locked custom field will return HTTP error code `403 Forbidden`. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the custom field. |
type | string | Optional | *Deprecated: new integrations should prefer the resource_subtype field.* The type of the custom field. Must be one of the given values. Known values: text, enum, multi_enum, number, date, people, reference Read only: true |
enum_options | array | Optional | *Conditional*. Only relevant for custom fields of type `enum` or `multi_enum`. This array specifies the possible values which an `enum` custom field can adopt. To modify the enum options, refer to [working with enum options](/reference/createenumoptionforcustomfield). |
enum_options[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
enabled | boolean | Optional | *Conditional*. This field applies only to [custom field values](/docs/custom-fields-guide#/accessing-custom-field-values-on-tasks-or-projects) and is not available for [custom field definitions](/docs/custom-fields-guide#/accessing-custom-field-definitions). Determines if the custom field is enabled or not. For more details, see the [Custom Fields documentation](/docs/custom-fields-guide#/enabled-and-disabled-values). Read only: true |
representation_type | string | Optional | This field tells the type of the custom field. Known values: text, enum, multi_enum, number, date, people, formula, custom_id, reference Read only: true |
id_prefix | JSON | Optional | |
id_prefix (anyOf 1) | string | Alternative | This field is the unique custom ID string for the custom field. |
id_prefix (anyOf 2) | null | Alternative | |
input_restrictions | array | Optional | |
input_restrictions[] | string | Each item | *Conditional*. Only relevant for custom fields of type `reference`. This array of strings reflects the allowed types of objects that can be written to a `reference` custom field value. Known values: task, project, portfolio, goal |
is_formula_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a formula custom field. |
is_lookup_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a lookup custom field. |
date_value | JSON | Optional | |
date_value (anyOf 1) | Model | Alternative | Expand Get a custom field — response body — data data date value date, date time |
date_value (anyOf 2) | null | Alternative | |
enum_value | JSON | Optional | |
enum_value (anyOf 1) | Model | Alternative | Expand Get a custom field — response body — data data enum value color, enabled, gid, name, resource type |
enum_value (anyOf 2) | null | Alternative | |
multi_enum_values | array | Optional | *Conditional*. Only relevant for custom fields of type `multi_enum`. This object is the chosen values of a `multi_enum` custom field. |
multi_enum_values[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
number_value | JSON | Optional | |
number_value (anyOf 1) | JSON | Alternative | |
number_value (anyOf 1) (anyOf 1) | number | Alternative | *Conditional*. This number is the value of a `number` custom field. |
number_value (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
number_value (anyOf 2) | null | Alternative | |
text_value | JSON | Optional | |
text_value (anyOf 1) | string | Alternative | *Conditional*. This string is the value of a `text` custom field. |
text_value (anyOf 2) | null | Alternative | |
display_value | JSON | Optional | |
display_value (anyOf 1) | string | Alternative | A string representation for the value of the custom field. Integrations that don't require the underlying type should use this field to read values. Using this field will future-proof an app against new custom field types. Read only: true |
display_value (anyOf 2) | null | Alternative | |
description | string | Optional | [Opt In](/docs/inputoutput-options). The description of the custom field. |
precision | JSON | Optional | |
precision (anyOf 1) | integer | Alternative | Only relevant for custom fields of type `Number`. This field dictates the number of places after the decimal to round to, i.e. 0 is integer values, 1 rounds to the nearest tenth, and so on. Must be between 0 and 6, inclusive. For percentage format, this may be unintuitive, as a value of 0.25 has a precision of 0, while a value of 0.251 has a precision of 1. This is due to 0.25 being displayed as 25%. The identifier format will always have a precision of 0. |
precision (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
format | string | Optional | The format of this custom field. Known values: currency, identifier, percentage, custom, duration, none |
currency_code | JSON | Optional | |
currency_code (anyOf 1) | string | Alternative | ISO 4217 currency code to format this custom field. This will be null if the `format` is not `currency`. |
currency_code (anyOf 2) | null | Alternative | |
custom_label | JSON | Optional | |
custom_label (anyOf 1) | string | Alternative | This is the string that appears next to the custom field value. This will be null if the `format` is not `custom`. |
custom_label (anyOf 2) | null | Alternative | |
custom_label_position | JSON | Optional | |
custom_label_position (anyOf 1) | string | Alternative | Only relevant for custom fields with `custom` format. This depicts where to place the custom label. This will be null if the `format` is not `custom`. Known values: prefix, suffix |
custom_label_position (anyOf 2) | null | Alternative | |
is_global_to_workspace | boolean | Optional | This flag describes whether this custom field is available to every container in the workspace. Before project-specific custom fields, this field was always true. Read only: true |
has_notifications_enabled | boolean | Optional | *Conditional*. This flag describes whether a follower of a task with this field should receive inbox notifications from changes to this field. |
asana_created_field | JSON | Optional | |
asana_created_field (anyOf 1) | string | Alternative | *Conditional*. A unique identifier to associate this field with the template source of truth. Known values: a_v_requirements, account_name, actionable, align_shipping_link, align_status, allotted_time, appointment, approval_stage, approved, article_series, board_committee, browser, campaign_audience, campaign_project_status, campaign_regions, channel_primary, client_topic_type, complete_by, contact, contact_email_address, content_channels, content_channels_needed, content_stage, content_type, contract, contract_status, cost, creation_stage, creative_channel, creative_needed, creative_needs, data_sensitivity, deal_size, delivery_appt, delivery_appt_date, department, department_responsible, design_request_needed, design_request_type, discussion_category, do_this_task, editorial_content_status, editorial_content_tag, editorial_content_type, effort, effort_level, est_completion_date, estimated_time, estimated_value, expected_cost, external_steps_needed, favorite_idea, feedback_type, financial, funding_amount, grant_application_process, hiring_candidate_status, idea_status, ids_link, ids_patient_link, implementation_stage, insurance, interview_area, interview_question_score, itero_scan_link, job_s_applied_to, lab, launch_status, lead_status, localization_language, localization_market_team, localization_status, meeting_minutes, meeting_needed, minutes, mrr, must_localize, name_of_foundation, need_to_follow_up, next_appointment, next_steps_sales, num_people, number_of_user_reports, office_location, onboarding_activity, owner, participants_needed, patient_date_of_birth, patient_email, patient_phone, patient_status, phone_number, planning_category, point_of_contact, position, post_format, prescription, priority, priority_level, product, product_stage, progress, project_size, project_status, proposed_budget, publish_status, reason_for_scan, referral, request_type, research_status, responsible_department, responsible_team, risk_assessment_status, room_name, sales_counterpart, sentiment, shipping_link, social_channels, stage, status, status_design, status_of_initiative, system_setup, task_progress, team, team_marketing, team_responsible, time_it_takes_to_complete_tasks, timeframe, treatment_type, type_work_requests_it, use_agency, user_name, vendor_category, vendor_type, word_count Read only: true |
asana_created_field (anyOf 2) | null | Alternative | |
is_value_read_only | boolean | Optional | *Conditional*. This flag describes whether a custom field is read only. |
created_by | JSON | Optional | |
created_by (anyOf 1) | Model | Alternative | Expand Get an OOO entry — response body — data data user |
created_by (anyOf 2) | null | Alternative | |
people_value | array | Optional | *Conditional*. Only relevant for custom fields of type `people`. This array of [compact user](/reference/users) objects reflects the values of a `people` custom field. |
people_value[] | Model | Each item | Expand Get an OOO entry — response body — data data user |
reference_value | array | Optional | *Conditional*. Only relevant for custom fields of type `reference`. This array of objects reflects the values of a `reference` custom field. |
reference_value[] | object | Each item | A generic Asana Resource, containing a globally unique identifier. |
reference_value[].gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
reference_value[].resource_type | string | Optional | The base type of this resource. Read only: true |
reference_value[].name | string | Optional | The name of the object. |
html_text_value | JSON | Optional | |
html_text_value (anyOf 1) | string | Alternative | *Conditional*. Only relevant for custom fields of type `text`. This is the HTML representation of the text value of a custom field, corresponding to the `text_value` plain-text field. See [rich text](/docs/rich-text#reading-rich-text). Read only: true |
html_text_value (anyOf 2) | null | Alternative | |
privacy_setting | string | Optional | The privacy setting of the custom field. *Note: Administrators in your organization may restrict the values of `privacy_setting`.* Known values: public_with_guests, public, private |
default_access_level | string | Optional | The default access level when inviting new members to the custom field. This isn't applied when the `privacy_setting` is `private`, or the user is a guest. For local fields in a project or portfolio, the user must additionally have permission to modify the container itself. Known values: admin, editor, user |
resource_subtype | string | Optional | The type of the custom field. Must be one of the given values. Known values: text, enum, multi_enum, number, date, people, reference Read only: true |
Referenced models: Get an OOO entry — response body — data data user, Get a custom field — response body — data data date value date, date time, Get a custom field — response body — data data enum options item, Get a custom field — response body — data data enum value color, enabled, gid, name, resource type
Get a workspace's custom fields — response body — data, next page
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Required within parent | |
data[] | Model | Each item | Expand Get a custom field — response body — data data — sdk__Custom Field Response |
next_page | Model | Optional | Expand Get goals — response body — data, next page next page |
Referenced models: Get goals — response body — data, next page next page, Get a custom field — response body — data data — sdk__Custom Field Response
Reorder a custom field's enum — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
enum_option | string | Required within parent | The gid of the enum option to relocate. |
before_enum_option | string | Optional | An existing enum option within this custom field before which the new enum option should be inserted. Cannot be provided together with after_enum_option. |
after_enum_option | string | Optional | An existing enum option within this custom field after which the new enum option should be inserted. Cannot be provided together with before_enum_option. |